menuconfig BLE_MGMT
    bool "BLE Management"
    select BT
    select BT_PERIPHERAL
    select BT_DEVICE_NAME_DYNAMIC
    help
      Library for BLE provisioning of the lasertag device.

if BLE_MGMT
    module = BLE_MGMT
    module-str = ble_mgmt
    source "subsys/logging/Kconfig.template.log_config"

    config BLE_MGMT_CAN_BE_GAME_LEADER
        bool "Can be game leader"
        default n
        help
          Allow this device to take the game leader role in the lasertag game.

    config BT_DEVICE_NAME
        default "Lasertag Device"
    config BT_L2CAP_TX_MTU
        default 252
    config BT_BUF_ACL_RX_SIZE
        default 251
    config BT_BUF_ACL_TX_SIZE
        default 251
    config BT_ATT_PREPARE_COUNT
        default 5
endif